ImageLoader (JEL API)
Date: 2016-05-09

gnu.jel

## Class ImageLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - gnu.jel.ImageLoader

-     public class ImageLoader
      extends java.lang.ClassLoader

  Loads JEL-generated classes into Java VM.

  Specifics of JEL generated classes is that the class name UTF8 is always the first entry in the constant pool. This loader will not load other classes.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Class<?>` | `load(byte[] image)` Loads given JEL-generated image under its own name.
    `protected java.lang.Class<?>` | `loadClass(java.lang.String name, boolean resolve)`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### load

          public static java.lang.Class<?> load(byte[] image)

      Loads given JEL-generated image under its own name.
      Parameters:
        `image` - to load
      Returns:
        the class object for the new class or `null` if unsuccessful.

    - #### loadClass

          protected java.lang.Class<?> loadClass(java.lang.String name,
                                     boolean resolve)
                                          throws java.lang.ClassNotFoundException

      Overrides:
        `loadClass` in class `java.lang.ClassLoader`
      Throws:
        `java.lang.ClassNotFoundException`

Copyright © 1998-2016 Konstantin L. Metlov All Rights Reserved.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the JEL manual.